/*
                         ScnEdit Compile Time Configuration
 */

#ifndef CONFIG_H
#define CONFIG_H


/*
 *	Languages (define only one):
 */
#define PROG_LANGUAGE_ENGLISH	1
/* #define PROG_LANGUAGE_SPANISH	2 */
/* #define PROG_LANGUAGE_FRENCH		3 */
/* *incomplete* #define PROG_LANGUAGE_GERMAN	4 */
/* *incomplete* #define PROG_LANGUAGE_ITALIAN	5 */
/* *incomplete* #define PROG_LANGUAGE_NORWEGIAN	6 */
/* *incomplete* #define PROG_LANGUAGE_PORTUGUESE	7 */


/*
 *      Program name and version:
 */
#define PROG_NAME       "Scenery Editor"
#define PROG_VERSION    "0.0.2"

#define PROG_VERSION_MAJOR      0
#define PROG_VERSION_MINOR      0
#define PROG_VERSION_RELEASE    2

/*
 *      Copyright message:
 */
#ifdef PROG_LANGUAGE_ENGLISH
#define PROG_COPYRIGHT	"\
Copyright (C) 2003 WolfPack Entertainment.\n\
This program is protected by international copyright laws and treaties,\n\
distribution and/or modification of this software in violation of the\n\
GNU Public License is strictly prohibited. Violators will be prosecuted\n\
to the fullest extent of the law.\n"
#endif
#ifdef PROG_LANGUAGE_SPANISH
#define PROG_COPYRIGHT	"\
El derecho de autor (C) 2003 WolfPack Entertainment.\n\
Este programa es protegido por leyes internacionales de derecho de autor\n\
y tratados, la distribucin y/o la modificacin de este software en la\n\
infraccin de la Licencia del Pblico de GNU se prohiben estrictamente.\n\
Violators ser procesado a la extensin ms repleta de la ley.\n"
#endif
#ifdef PROG_LANGUAGE_FRENCH
#define PROG_COPYRIGHT  "\
Dposer (C) 2003 WolfPack Entertainment.\n\
Ce programme est protg par international dpose lois et traits, \n\
distribution et/ou de ce logiciel dans violation du GNU Public Permis\n\
strictement est interdit. Violators sera poursuivi  l'tendue plus pleine\n\
de la loi.\n"
#endif
#ifdef PROG_LANGUAGE_GERMAN
#define PROG_COPYRIGHT  "\
Urheberrecht (C) 2003 WolfPack Entertainment.\n\
Dieses Programm wird von internationalem Urheberrecht Gesetzen und\n\
Vertrgen, Austeilung bzw. nderung dieser Software in bertretung\n\
DER GNU ffentlichkeit Erlaubnis streng verboten wird geschtzt.\n\
Verletzer werden zum vollsten Umfang des Gesetzes strafrechtlich\n\
verfolgt werden.\n"
#endif
#ifdef PROG_LANGUAGE_ITALIAN
#define PROG_COPYRIGHT  "\
Il copyright (C) 2003 WolfPack Entertainment.\n\
Questo programma  protetto dalle leggi di copyright internazionali e\n\
dai trattati, la distribuzione e/o la modifica di questo software nella\n\
violazione dello GNU la Licenza Pubblica  strettamente proibita. Il\n\
Violators sar perseguito all'estensione la pi piena della legge.\n"
#endif
#ifdef PROG_LANGUAGE_NORWEGIAN
#define PROG_COPYRIGHT  "\
Copyright (C) 2003 WolfPack Entertainment.\n\
Dette programet blir blir beskyttet ved internasjonal copyrightlover og\n\
traktater dendistribusjon og/eller modifikasjon av denne programvaren i\n\
overtredelse av GNU Public License er streng forbudt. Violators vil bli vil\n\
bli tiltalt til den fulleste omfang av.\n"
#endif
#ifdef PROG_LANGUAGE_PORTUGUESE
#define PROG_COPYRIGHT  "\
Os direitos autorais (C) 2003 WolfPack Entertainment.\n\
Este programa  protegido por direitos internacionais leis autorais e\n\
tratados, modificao de e/ou de distribuio deste software em infrao\n\
do GNU Licena Pblica precisamente  proibida. O Violators ser\n\
processado  plena extenso da lei.\n"
#endif


/*
 *	GTK font names:
 */
#define PROG_GTK_FONT_NAME_PREF_BANNER   \
        "-adobe-helvetica-medium-r-normal-*-20-*-*-*-p-*-iso8859-1"
#define PROG_GTK_FONT_NAME_TEXT_EDITABLE \
        "-adobe-courier-medium-r-*-*-14-*-*-*-*-*-iso8859-1"
#define PROG_GTK_FONT_NAME_TEXT_TERMINAL \
        "-adobe-courier-medium-r-*-*-12-*-*-*-*-*-iso8859-1"

/* ```Fine print''' for license and other legal text. */
#define PROG_GTK_FONT_NAME_TEXT_LICENSE  \
        "-adobe-courier-medium-r-*-*-10-*-*-*-*-*-iso8859-1"

#define PROG_GTK_FONT_NAME_TEXT_HEADING1 \
        "-adobe-helvetica-medium-r-normal-*-24-*-*-*-p-*-iso8859-1"
#define PROG_GTK_FONT_NAME_TEXT_HEADING2 \
        "-adobe-helvetica-medium-r-normal-*-20-*-*-*-p-*-iso8859-1"
#define PROG_GTK_FONT_NAME_TEXT_HEADING3 \
        "-adobe-helvetica-medium-r-normal-*-18-*-*-*-p-*-iso8859-1"
#define PROG_GTK_FONT_NAME_TEXT_HEADING4 \
        "-adobe-helvetica-medium-r-normal-*-14-*-*-*-p-*-iso8859-1"
#define PROG_GTK_FONT_NAME_TEXT_HEADING5 \
        "-adobe-helvetica-medium-r-normal-*-12-*-*-*-p-*-iso8859-1"
#define PROG_GTK_FONT_NAME_TEXT_HEADING6 \
        "-adobe-helvetica-medium-r-normal-*-8-*-*-*-p-*-iso8859-1"


/*
 *	Directories:
 */
#ifdef __MSW__
# define SE_DEF_SAR_LOCAL_DIR		"."
#else
# define SE_DEF_SAR_LOCAL_DIR		".SearchAndRescue"
#endif

#ifdef __MSW__
# define SE_DEF_SAR_DATA_DIR		"."
#else
# define SE_DEF_SAR_DATA_DIR		"/usr/share/games/SearchAndRescue"
#endif
#define SE_DEF_SAR_DATA_OBJECTS_DIR	SE_DEF_SAR_DATA_DIR "/objects"
#define SE_DEF_SAR_DATA_SCENERY_DIR	SE_DEF_SAR_DATA_DIR "/scenery"
#define SE_DEF_SAR_DATA_TEXTURES_DIR	SE_DEF_SAR_DATA_DIR "/textures"


/*
 *	File names:
 */
#ifdef __MSW__
# define SE_DEF_INI_FILE		"scnedit.ini"
#else
# define SE_DEF_INI_FILE		SE_DEF_SAR_LOCAL_DIR	"/scnedit.ini"
#endif

#ifdef __MSW__
# define SE_DEF_SAR_HUMAN_INI_FILE	"human.ini"
#else
# define SE_DEF_SAR_HUMAN_INI_FILE	SE_DEF_SAR_DATA_DIR "/human.ini"
#endif

#ifdef __MSW__
# define SE_DEF_SAR_PROG		"./SearchAndRescue.exe"
#else
# define SE_DEF_SAR_PROG		"/usr/games/SearchAndRescue"
#endif


/*
 *	Paned widget handle and gutter size (in pixels):
 */
#define SE_DEF_PANED_GUTTER_SIZE	10
#define SE_DEF_PANED_HANDLE_SIZE	10

/*
 *	Vertical spacing of each item standard lists:
 */
#define SE_LIST_ROW_SPACING		20

/*
 *	Spacing between pixmap and text in standard lists:
 */
#define SE_LIST_PIXMAP_TEXT_SPACING	2

/*
 *	Cursor blink rate in ms:
 *
 *	(For on or off time, but not one complete on/off cycle)
 */
#define SE_DEF_CURSOR_BLINK_RATE_MS	500

/*
 *	Scroll rate in ms:
 */
#define SE_DEF_SCROLL_RATE_MS		180

/*
 *	Default editor geometry:
 */
#define SE_DEF_EDITOR_X			0
#define SE_DEF_EDITOR_Y			0
#define SE_DEF_EDITOR_WIDTH		800
#define SE_DEF_EDITOR_HEIGHT		600


/*
 *	Drag and drop target type names and info values:
 */
#define SE_DND_TYPE_INFO_TEXT_PLAIN		0	/* "text/plain" */
#define SE_DND_TYPE_INFO_TEXT_URI_LIST		1	/* "text/uri-list" */
#define SE_DND_TYPE_INFO_STRING			2	/* "STRING" */


/*
 *	Standard output help message:
 */
#define PROG_HELP_MESG  "\
Usage: scnedit [scenery.scn] [options]\n\
\n\
    [scenery.scn] specifies the scenery file to load at startup.\n\
\n\
    [options] can be any of the following:\n\
\n\
        --config <file>         Load configuration from <file>.\n\
        -f <file>               Same as --config.\n\
        --sar-dir <dir>         Specifies an alternate Search and Rescue\n\
                                data directory.\n\
        -d <dir>                Same as --sar-dir.\n\
        --help                  Prints (this) help screen and exits.\n\
        --version               Prints version information and exits.\n\
\n\
    Command line options override any options in the configuration\n\
    file.\n\
\n"


/*
 *	List of SAR special object names (case insensitive):
 *
 *	These names are reserved for special meanings.
 */
#define SE_SAR_SPECIAL_OBJECT_NAMES	{ 			\
	"player",	/* Player. */				\
	"camera",	/* Camera. */				\
	"ear",		/* Ear. */				\
	NULL							\
}

/*
 *	List of SAR preset model type names (case insensitive):
 */
#define SE_SAR_PRESET_MODEL_NAMES	{			\
	"building",		/* Standard building. */	\
	"control_tower",	/* Control tower. */		\
	"power_transmission_tower",				\
	"radio_tower",		/* Tower with radios. */	\
	"tower",		/* Tower. */			\
	NULL							\
}

/*
 *	SAR preset model values verbose description of values,
 *	these correspond to SE_SAR_PRESET_MODEL_NAMES:
 */
#define SE_SAR_PRESET_MODEL_VALUES_DESC	{			\
	/* building */						\
	"<rng> <len> <w> <h> <walls_tex> <walls_night_tex> <roof_tex>",	\
	/* control_tower */					\
	"<rng> <len> <w> <h> <walls_tex> <roof_tex>",		\
	/* power_transmission_tower */				\
	"<rng> <h> <n_hazard_lights>",				\
	/* radio_tower */					\
	"<rng> <h> <n_hazard_lights>",				\
	/* tower */						\
	"<rng> <h> <n_hazard_lights>",				\
	NULL							\
}


#endif	/* CONFIG_H */
