#ifndef EDITORCB_H
#define EDITORCB_H

#include <gtk/gtk.h>
#include "csd.h"

extern void EditorNULLCB(GtkWidget *widget, gpointer data);

extern gint EditorDeleteEventCB(
        GtkWidget *widget, GdkEvent *event, gpointer data
);
extern gint EditorScrolledWindowEventCB(
        GtkWidget *widget, GdkEvent *event, gpointer data
);
extern void EditorNotebookSwitchPageCB(
        GtkNotebook *notebook, GtkNotebookPage *page, guint page_num,
        gpointer data
);
extern void EditorCListSelectRowCB(
        GtkCList *clist, gint row, gint column, GdkEvent *event,
        gpointer data
);
extern void EditorCListUnselectRowCB(
        GtkCList *clist, gint row, gint column, GdkEvent *event,
        gpointer data
);
extern void EditorStopCB(GtkWidget *widget, gpointer data);

extern void EditorHdrEditableChangedCB(GtkWidget *widget, gpointer data);
extern void EditorHdrToggleButtonToggledCB(GtkWidget *widget, gpointer data);
extern void EditorHdrEditCListChangedCB(
	gpointer editclist, GtkCList *clist, gint row, gint column,
	gpointer data
);
extern void EditorHdrGroundColorCB(GtkWidget *widget, gpointer data);
extern void EditorHdrMapFileCB(GtkWidget *widget, gpointer data);
extern gint EditorHdrMapDrawingAreaEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);

extern gint EditorViewExposeEventCB(
        GtkWidget *widget, GdkEventExpose *expose, gpointer data
);
extern gint EditorViewConfigureEventCB(
        GtkWidget *widget, GdkEventConfigure *configure, gpointer data
);
extern gint EditorViewFocusEventCB(
        GtkWidget *widget, GdkEventFocus *focus, gpointer data
);
extern gint EditorViewKeyEventCB(
        GtkWidget *widget, GdkEventKey *key, gpointer data
);
extern gint EditorViewButtonEventCB(
        GtkWidget *widget, GdkEventButton *button, gpointer data
);
extern gint EditorViewMotionEventCB(
        GtkWidget *widget, GdkEventMotion *motion, gpointer data
);
extern void EditorViewAdjValueChangedCB(
	GtkAdjustment *adj, gpointer data
);
extern gboolean EditorViewDragMotionCB(
        GtkWidget *widget, GdkDragContext *dc, gint x, gint y, guint t,
        gpointer data
);
extern void EditorViewDragDataReceivedCB(
        GtkWidget *widget, GdkDragContext *dc, gint x, gint y,
        GtkSelectionData *selection_data, guint info, guint t,
        gpointer data
);
extern void EditorViewUnitsChangedCB(
        GtkWidget *widget, gpointer data, GList *glist
);
extern void EditorViewDisplayMapCB(
        GtkWidget *widget, gpointer data
);
extern void EditorViewDisplayObjectLabelsCB(
        GtkWidget *widget, gpointer data
);
extern void EditorViewDisplayPositionLabelCB(
        GtkWidget *widget, gpointer data
);
extern void EditorViewDisplayRegisteredLocationsCB(
        GtkWidget *widget, gpointer data
);

extern gint EditorObjListKeyEventCB(
        GtkWidget *widget, GdkEventKey *key, gpointer data
);
extern gint EditorObjListButtonEventCB(
        GtkWidget *widget, GdkEventButton *button, gpointer data
);
extern void EditorObjModelBrowseCB(gpointer widget, gpointer data);
extern void EditorObjTypeChangedCB(
        GtkWidget *widget, gpointer data, GList *glist
);
extern void EditorObjPolygonOffsetToggledCB(gpointer widget, gpointer data);
extern void EditorObjSizeShapeChangedCB(
        GtkWidget *widget, gpointer data, GList *glist
);
extern void EditorObjAdjValueChangedCB(
        GtkAdjustment *adj, gpointer data
);
extern void EditorObjReferenceAdjValueChangedCB(
        GtkAdjustment *adj, gpointer data
);
extern void EditorObjReferenceChangeCB(GtkWidget *widget, gpointer data);
extern void EditorObjPresetModelTypeChangedCB(
        GtkWidget *widget, gpointer data, GList *glist
);

extern void EditorToolBarCB(gpointer data);
extern void EditorToolBarEnterCB(gpointer data);
extern void EditorToolBarLeaveCB(gpointer data);

extern void EditorNewCB(GtkWidget *widget, gpointer data);
extern void EditorOpenCB(GtkWidget *widget, gpointer data);
extern void EditorSaveCB(GtkWidget *widget, gpointer data);
extern void EditorSaveAsCB(GtkWidget *widget, gpointer data);
extern void EditorCloseCB(GtkWidget *widget, gpointer data);

extern void EditorCutCB(GtkWidget *widget, gpointer data);
extern void EditorCopyCB(GtkWidget *widget, gpointer data);
extern void EditorPasteCB(GtkWidget *widget, gpointer data);
extern void EditorNewObjectCB(GtkWidget *widget, gpointer data);
extern void EditorGoToSelectedCB(GtkWidget *widget, gpointer data);
extern void EditorMoveToCursorCB(GtkWidget *widget, gpointer data);
extern void EditorDeleteObjectCB(GtkWidget *widget, gpointer data);

extern void EditorViewHeaderCB(GtkWidget *widget, gpointer data);
extern void EditorViewSceneryCB(GtkWidget *widget, gpointer data);
extern void EditorRefreshCB(GtkWidget *widget, gpointer data);

extern void EditorCheckSceneryCB(GtkWidget *widget, gpointer data);
extern void EditorRunSARCB(GtkWidget *widget, gpointer data);


#endif	/* EDITORCB_H */
